Bug 118895 - [patch] security/gnupg update to 2.0.8
[patch] security/gnupg update to 2.0.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
Depends on:
  Show dependency treegraph
Reported: 2007-12-20 17:10 UTC by umq
Modified: 2008-03-06 07:20 UTC (History)
0 users

See Also:

file.diff (5.35 KB, patch)
2007-12-20 17:10 UTC, umq
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description umq 2007-12-20 17:10:03 UTC
	The new version of security/gnupg1 2.0.8 has been released.
	Release announcement: http://lists.gnupg.org/pipermail/gnupg-announce/2007q4/000267.html

Fix: The patch follows:
	- gnupg-2.0.8 depends on libassuan-1.0.4 (ports/118624) and
          libksba-1.0.2 (ports/118852), which are open as of
	- change in shlibver of security/libgcrypt is submitted as
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2007-12-21 00:48:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jun Kuriyama freebsd_committer 2008-03-04 22:57:44 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter freebsd_committer 2008-03-04 22:57:48 UTC
kuriyama    2008-03-04 22:57:42 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile distinfo pkg-plist 
  - Upgrade to 2.0.8.
  - Change dependency versions.
  - NLS option back again.
  - Make GPGSM option off by default (to avoid ldap dependency in package).
  PR:             ports/118895
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp>
  Revision  Changes    Path
  1.110     +14 -12    ports/security/gnupg/Makefile
  1.44      +6 -6      ports/security/gnupg/distinfo
  1.41      +33 -4     ports/security/gnupg/pkg-plist
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 lofi freebsd_committer 2008-03-06 06:09:00 UTC
Please do NOT turn off gpgsm by default. By doing that, you're 
effectively sabotaging S/MIME support for package-users of applications 
which rely on gnupg in conjunction with gpgme to provide it. If the 
openldap-client dependency is such a concern (and it should not be!), 
please consider creating a separate port instead to provide the gpgsm 
bits and which can be depended on by other ports such as gpgme.